crossingthethreshold
crossingthethreshold

@help I hope that this publishes to the timeline. 🤞🏻 I published a post 20 minutes ago. It shows up under my list of posts, but has not appeared on my blog or on timeline.

|
Embed
crossingthethreshold
crossingthethreshold

@help I tried to Rebuild under the logs. The first time my site was present but under the Tiny theme that I use. After the second rebuild trying to load my site results in “Not Found”.

On the logs it is looping from,
- Feed: Downloading feed —
- Feed: Redirecting 116005 to
- Feed: Too many redirects —

|
Embed
sod
sod

@crossingthethreshold Are there any errors present in the logs? There's a filtered view over here.

|
Embed
crossingthethreshold
crossingthethreshold

@sod I must have been dreaming about the site (it’s the middle of the night here), as I just woke up and decided to check if it was working now 😉

I see this:

Feed: Unknown exception
OpenSSL::SSL::SSLError

That’s appeared a few times since it went down.

|
Embed
sod
sod

@crossingthethreshold Ah, you should probably go back to bed then. 😊 A question for the morning: do you have any feeds set up other than your blog's? From the error message, it sounds like Micro.blog is trying to fetch a feed from a server with an invalid certificate.

|
Embed
vincent
vincent

@crossingthethreshold @sod Actually, that error is from the timeline feed from the MB hosted site. At the moment there is no feed, hence the error. Something has gone wrong with the build somewhere. I have pinged @manton internally.

|
Embed
help
help

@crossingthethreshold Make sure you're on Hugo version 0.91, not 0.117, on the Design page. We've seen this problem with the new version of Hugo for some reason in some themes.

|
Embed
crossingthethreshold
crossingthethreshold

@help I was Hugo 0.117 and moved back to 0.91 as you suggested, and the my site is now back up. I also deleted and republished the post that appeared to start the issue to make sure that all was good there, and it has published just fine.

Thank you for solving that issue….on a holiday.

Happy Thanksgiving 🍁

|
Embed
crossingthethreshold
crossingthethreshold

@sod Thank you for the suggestions. @manton suggested that I move back from Hugo 0.117 to 0.91 and the problem was solved. Apparently this has been a source of problems for some themes.

|
Embed
sod
sod

@crossingthethreshold Okay, thanks for getting back. I went through all the official themes (published by @manton) and made them compatible with Hugo 0.117 back in August. But, of course, I'm not infallible. 😊 So if you're using an official theme, and you're sure it's not any of the plug-ins or a custom theme that causes the trouble, please let me know, and I will get the theme fixed for 0.117.

|
Embed
manton
manton

@sod @crossingthethreshold It's the Tiny theme. Maybe we can apply some of our new tests across other themes in the future?

|
Embed
crossingthethreshold
crossingthethreshold

@sod I’m using @mtt’s Tiny Theme, the Tinylytics plugin associated with that theme, and a couple of your plugins 😉 for replying by email, etc (it has been said before, but what a great community 🙏🏻). I have no idea about the compatibility of any of these with 0.117, but as I say, me moving back to 0.91 appeared to solve the problem and bright my site back online 🤷🏼‍♂️

|
Embed
crossingthethreshold
crossingthethreshold

@manton You beat me to it with you reply. 😊 Thank you for that clarification.
@sod

|
Embed
sod
sod

@crossingthethreshold My blog is on 0.117 with Tiny and my own plug-ins installed. So it's probably not them causing the trouble, unless you're running older versions of the theme or plug-ins. Do you have a custom theme applied to your blog? cc @manton

|
Embed
pratik
pratik

@crossingthethreshold Didn't @mtt "upgrade" Tiny for 0.117? I recall seeing his post about how cumbersome it was to know what had changed, etc.

|
Embed
crossingthethreshold
crossingthethreshold

@sod The theme and plugins are up to date. I went back to see if I had missed listing any plugins, and I do have Bigfoot by @jsonbecker. I don’t know if that is 0.117 compatible? I could try removing that plugin and upgrading again. I actually rarely use footnotes for which it is for.

|
Embed
sod
sod

@crossingthethreshold I installed Bigfoot just now, and it seems to work okay on 0.117. Do you have a custom theme applied to your blog?

|
Embed
crossingthethreshold
crossingthethreshold

@sod No I don’t.

|
Embed
sod
sod

@crossingthethreshold Okay, thanks for all that info. I'm currently out of ideas. 😊 It's weird; it sounds like you and I have mostly the same setup (same theme, plug-ins, etc.) so it should work on 0.117. But I'm afraid only @manton, who has access to your site's build logs, can troubleshoot this further.

|
Embed
crossingthethreshold
crossingthethreshold

@sod And thank you for all of your help. The problem came out of the blue, or so it seemed. Everything had been running fine.
@manton

|
Embed
crossingthethreshold
crossingthethreshold

@manton Do you recommend that I stay on 0.91 for now even though, from what I am hearing, the theme and plug-ins that I have installed are all 0.117 compatible? Is there any further trouble shooting steps that I can take?
@sod

|
Embed
Mtt
Mtt

@pratik @crossingthethreshold Yes, Tiny should be compatible. Many are running it with 0.117 without issue, including myself.

|
Embed
manton
manton

@crossingthethreshold @sod I’d stick with 0.91 until we can sort out why some things are failing with the newer version. There’s no practical difference for now.

|
Embed
crossingthethreshold
crossingthethreshold

@manton @sod OK, I'll do that. Thank you.

|
Embed
crossingthethreshold
crossingthethreshold

@Mtt @pratik Thank you for that clarification. For now, given that my website was down and moving back to 0.91 restored it, I am going to stay there for now.

|
Embed